%define name xmms-gdancer
%define oname gdancer
%define version 0.4.6
%define release 3mdk

Name:		%{name}
Summary:	GDancer - The Dancing Space Ghost XMMS plugin
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://www.figz.com/gdancer/
Source:		%{oname}-%{version}.tar.bz2
Buildrequires:	xmms1-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
GDancer is a cute little plugin for XMMS that allows for a character to
dance to the music playing.  It also supports themes so you can pick
different characters to dance for you.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{oname}-%{version}


%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure

%make


%install
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig -n %{_libdir}/xmms/Visualization


%postun
/sbin/ldconfig -n %{_libdir}/xmms/Visualization


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL 
%doc NEWS README README.themes TODO
%{_libdir}/xmms/Visualization/*


%changelog
* Mon Sep 08 2003 Olivier Blin <oliv.blin@laposte.net> 0.4.6-3mdk
- don't run libtoolize to actually package the plugin
- fix Builrequires
- remove redundant Requires
- fix hardcoded path

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-2mdk
- rebuild

* Tue Aug 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-3mdk
- buildrequires

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-2mdk
- rebuild

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesift.com> 0.2.0-4mdk
- rebuild

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-3mdk
- macros

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-2mdk
- fix group

* Mon Mar 20 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip source
